Skip to main content
POST
/
hris
/
staffing-entity-skills
Upsert staffing entity skill expectation
curl --request POST \
  --url https://api.kombo.dev/v1/hris/staffing-entity-skills \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Integration-Id: <x-integration-id>' \
  --data '
{
  "staffing_entity_id": "26vafvWSRmbhNcxJYqjCzuJg",
  "skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
  "expected_level": 4
}
'
{
  "status": "success",
  "data": {
    "id": "C8gqYqWk6N3qjvJ8vh5o3VtH",
    "staffing_entity_id": "26vafvWSRmbhNcxJYqjCzuJg",
    "skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
    "expected_level": 4,
    "changed_at": "2022-08-07T14:01:29.196Z",
    "remote_deleted_at": null
  }
}
Closed Beta Feature: This endpoint is currently in closed beta. We’re testing it with selected customers before its public release. If you’re interested in learning more or getting early access, please reach out.
Create or update a skill expectation on a staffing entity.

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Headers

X-Integration-Id
string
required

ID of the integration you want to interact with.

Body

application/json

POST /hris/staffing-entity-skills Request body

staffing_entity_id
string
required

The Kombo ID of the staffing entity to attach the skill to.

skill_id
string
required

The Kombo ID of the skill.

expected_level
integer<int64>

The expected proficiency level. Omit to attach the skill without an expected level.

Required range: 1 <= x <= 5

Response

POST /hris/staffing-entity-skills Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
{
"id": "C8gqYqWk6N3qjvJ8vh5o3VtH",
"staffing_entity_id": "26vafvWSRmbhNcxJYqjCzuJg",
"skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
"expected_level": 4,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null
}